Page MenuHomePhabricator

compiler-rt: use fp_t instead of long double, for consistency
ClosedPublic

Authored by emaste on Jul 5 2017, 2:14 PM.

Diff Detail

Event Timeline

emaste created this revision.Jul 5 2017, 2:14 PM
emaste added a subscriber: dim.
compnerd accepted this revision.Jul 18 2017, 5:37 PM

Thanks, this looks like a good cleanup.

This revision is now accepted and ready to land.Jul 18 2017, 5:37 PM
dim added a comment.Jul 19 2017, 3:57 AM

Yep, LGTM. That would hopefully also allow this to build with recent versions of gcc without warnings.

emaste marked an inline comment as done.Sep 3 2019, 11:02 AM
emaste added inline comments.
lib/builtins/addtf3.c
21 ↗(On Diff #105335)

should change the return type too

emaste updated this revision to Diff 218494.Sep 3 2019, 11:03 AM
  • rebase
  • also change __addtf3 return type
Herald added a project: Restricted Project. · View Herald TranscriptSep 3 2019, 11:03 AM
dim accepted this revision.Sep 4 2019, 10:59 PM

Still OK with me :)

This revision was automatically updated to reflect the committed changes.